"use strict";
const item_validator_1 = require("../validation/item_validator");
class Controller {
    validateQuery(ctx, cb) {
        return cb(this.__validate(ctx.request.query));
    }
    ;
    validateBody(ctx, cb) {
        return cb(this.__validate(ctx.request.body));
    }
    ;
    validate(ctx, cb) {
        return cb(this.__validate(Object.assign({}, ctx.request.body, ctx.request.query)));
    }
    __validate(item) {
        return new item_validator_1.ItemValidator(item);
    }
    ;
}
exports.Controller = Controller;
