import { BaseError, IInnoErrorOptions } from "./base";
export declare class AuthError extends BaseError {
    static readonly TOKEN_IS_INVALID: TAuthErrorCode;
    static readonly AUTH_REJECTED: TAuthErrorCode;
    static defaultOptions: IInnoErrorOptions;
    constructor(code?: TAuthErrorCode, headers?: any);
}
export declare type TAuthErrorCode = 'TOKEN_IS_INVALID' | 'AUTH_REJECTED';
