"use strict";
const base_1 = require("./base");
class InnoError extends base_1.BaseError {
    constructor(code = base_1.BaseError.INTERNAL, status, innerDetails = {}) {
        super({});
        this.code = this.errorPrefix + code;
        if (status) {
            this.status = status;
        }
        this.innerDetails = innerDetails;
    }
}
exports.InnoError = InnoError;
